Package proton :: Class ProtonException

[frames] | no frames]

# Class ProtonException

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  ProtonException

Known Subclasses:
  - ConnectionException
  - , DataException
  - , Interrupt
  - , LinkException
  - , MessageException
  - , MessengerException
  - , handlers.Reject
  - , handlers.Release
  - , utils.SendException
  - , SessionException
  - , Timeout
  - , TransportException

The root of the proton exception hierarchy. All proton exception classes derive from this exception.

Instance Methods
Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`